dlogify docs
API referenceError groups

Change an error group's status

PATCH/v1/groups/{group_id}

Requires role member or higher.

regressed cannot be set: Logify sets it when a resolved group occurs again.

Authorization

AuthorizationBearer <token>

A session token from /v1/auth/sign-in/email (CLI, scripts).

In: header

Path Parameters

group_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/groups/string" \  -H "Authorization: Bearer $DLOGIFY_SESSION" \  -H "Content-Type: application/json" \  -d '{    "status": "open"  }'
{  "classification": {    "category": "string",    "classified_at": "2019-08-24T14:15:22Z",    "reason": "new",    "severity": "critical",    "severity_confidence": 0,    "severity_source": "jev",    "transient_probability": 0  },  "created_at": "2019-08-24T14:15:22Z",  "event_count": 0,  "fatal": true,  "fingerprint": "string",  "first_seen": "2019-08-24T14:15:22Z",  "id": "string",  "last_seen": "2019-08-24T14:15:22Z",  "level": "error",  "message_template": "string",  "project_id": "string",  "service": "string",  "status": "open",  "status_changed_at": "2019-08-24T14:15:22Z",  "top_frames": [    "string"  ]}